## org.apache.sling.jmx.provider.impl
Class Constants

    java.lang.Object
      org.apache.sling.jmx.provider.impl.Constants

    public abstract class Constants

extends Object

Field Summary
`static String` `PROP_CLASSNAME`
`static String` `PROP_DESCRIPTION`
`static String` `PROP_OBJECTNAME`
`static String` `PROP_RESOURCE_SUPER_TYPE`
`static String` `PROP_RESOURCE_TYPE`
`static String` `PROP_TYPE`
`static String` `PROP_VALUE`
`static String` `RSRC_ATTRIBUTES`
`static String` `RSRC_VALUE`
`static String` `TYPE_ATTRIBUTE`
`static String` `TYPE_ATTRIBUTES`
`static String` `TYPE_MBEAN`
`static String` `TYPE_MBEANS`

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RSRC_ATTRIBUTES

    public static final String RSRC_ATTRIBUTES

See Also:
  Constant Field Values

### RSRC_VALUE

    public static final String RSRC_VALUE

See Also:
  Constant Field Values

### PROP_VALUE

    public static final String PROP_VALUE

See Also:
  Constant Field Values

### PROP_RESOURCE_TYPE

    public static final String PROP_RESOURCE_TYPE

See Also:
  Constant Field Values

### PROP_RESOURCE_SUPER_TYPE

    public static final String PROP_RESOURCE_SUPER_TYPE

See Also:
  Constant Field Values

### PROP_TYPE

    public static final String PROP_TYPE

See Also:
  Constant Field Values

### PROP_DESCRIPTION

    public static final String PROP_DESCRIPTION

See Also:
  Constant Field Values

### PROP_CLASSNAME

    public static final String PROP_CLASSNAME

See Also:
  Constant Field Values

### PROP_OBJECTNAME

    public static final String PROP_OBJECTNAME

See Also:
  Constant Field Values

### TYPE_ATTRIBUTES

    public static final String TYPE_ATTRIBUTES

See Also:
  Constant Field Values

### TYPE_ATTRIBUTE

    public static final String TYPE_ATTRIBUTE

See Also:
  Constant Field Values

### TYPE_MBEAN

    public static final String TYPE_MBEAN

See Also:
  Constant Field Values

### TYPE_MBEANS

    public static final String TYPE_MBEANS

See Also:
  Constant Field Values

Constructor Detail

### Constants

    public Constants()

Copyright © 2007-2014 The Apache Software Foundation. All Rights Reserved.